<template>

	<!-- <view class="container" v-if="!loading" style="position: relative;z-index: 0;"> -->
	<view class="container" style="position: relative;z-index: 0;">
		<navBar title="GIGESI 吉格斯" :back="false" color="black"
			background="linear-gradient(to bottom,#FDEDD2,#FEF9ED)" />
		<view class="content">
			<!-- <view class="top" :style="{'background-image':`url(${picUrl}/static/other/myW.png)`}"> -->
			<view class="top">
				<!-- <image class="myW" :src="picUrl+'/static/other/myW.png'" mode=""></image> -->
				<view class="userInfo">
					<view class="left">
						<view class="avatarBox" @click="toPage('info')">
							<image class="avatar"
								:src="userInfo&&userInfo.head?userInfo.head:picUrl+'/static/other/defaultAvatar.png'">
							</image>
						</view>
						<text class="btn" v-if="!token" @click="login">请点击登录</text>
						<text class="btn" v-if="token&&role=='cydg'"
							@click="toPage('info')">{{userInfo.nickname?userInfo.nickname+'(产业电工)':'默认用户(产业电工)'}}</text>
						<text class="btn" v-if="token&&role=='hy'"
							@click="toPage('info')">{{userInfo.nickname?userInfo.nickname+'(会员)':'默认用户(会员)'}}</text>

						<view class="lMember" v-if="token&&role=='lhy'" style="" @click="toPage('info')">
							<text class="btn1">{{userInfo.nickname?userInfo.nickname+'(L会员)':'默认用户(L会员)'}}</text>
							<view class="botDes" style="width: 450rpx;">
								查看商品会员价，{{hours}}小时后自动恢复为售价。会员价格还剩
								<view class="" style="display: inline-block;margin-left: 10rpx;">
									<u-count-down @change="cutDownChange" style="display: inline-block;"
										:time="remainTime" format="HH:mm:ss"></u-count-down>
								</view>
							</view>
						</view>
						<view class="lMember" v-if="token&&role=='hdyh'" @click="toPage('info')">
							<text class="btn1">{{userInfo.nickname?userInfo.nickname+'(活动会员)':'默认用户(活动会员)'}}</text>
							<view class="botDes" v-if="userInfo.phone">
								{{userInfo.phone}}
							</view>
						</view>

						<view class="lMember" v-if="token&&role=='svip'" @click="toPage('info')">
							<text class="btn1">{{userInfo.nickname?userInfo.nickname+'(S-VIP)':'默认用户(S-VIP)'}}</text>
							<view class="botDes" v-if="userInfo.phone">
								{{userInfo.phone}}
							</view>
						</view>

						<view class="lMember" v-if="token&&role=='gvip'" @click="toPage('info')">
							<text class="btn1">{{userInfo.nickname?userInfo.nickname+'(G-VIP)':'默认用户(G-VIP)'}}</text>
							<view class="botDes" v-if="userInfo.phone">
								{{userInfo.phone}}
							</view>
						</view>
						<view class="lMember" v-if="token&&role=='yk'" @click="toPage('info')">
							<text class="btn1">{{userInfo.nickname?userInfo.nickname+'(游客)':'默认用户(游客)'}}</text>
							<view class="botDes" v-if="userInfo.phone">
								{{userInfo.phone}}
							</view>
						</view>

						<text class="btn" v-if="token&&role=='sjkf'"
							@click="toPage('info')">{{userInfo.nickname?userInfo.nickname+'(设计客服)':'默认用户(设计客服)'}}</text>
						<text class="btn" v-if="token&&role=='shkf'"
							@click="toPage('info')">{{userInfo.nickname?userInfo.nickname+'(售后客服)':'默认用户(售后客服)'}}</text>
						<text class="btn" v-if="token&&role=='yw'"
							@click="toPage('info')">{{userInfo.nickname?userInfo.nickname+'(业务客服)':'默认用户(业务客服)'}}</text>

						<text class="btn" v-if="token&&role=='superAdmin'"
							@click="toPage('info')">{{userInfo.nickname?userInfo.nickname+'(超级管理员)':'默认用户(超级管理员)'}}</text>

						<text class="btn" v-if="token&&role=='nomal'"
							@click="toPage('info')">{{userInfo.nickname?userInfo.nickname+'(普通员工)':'默认用户(普通员工)'}}</text>
					</view>
					<image :src="picUrl+'/static/my/set2.png'" mode="" @click="toPage('info')"
						style="width: 37rpx;height: 41rpx;margin-right: 22rpx;">
					</image>
				</view>

				<view class="invite" @click="token?show=true:$toast('请先登录')"
					v-if="role=='sjkf'||role=='shkf'||role=='yw'||role=='superAdmin'">
					<view class="left">
						<image :src="picUrl+'/static/my/vip.png'" mode="" style="width: 27rpx;height: 30rpx;">
						</image>
						<text>邀约用户</text>
					</view>

					<view class="right">
						<text class="price">尊享专属价</text>
						<image :src="picUrl+'/static/my/yellowR.png'" mode=""
							style="width: 12rpx;height: 20rpx;margin-left: 8rpx;"></image>
					</view>
					<image :src="picUrl+'/static/my/diwen.png'" mode=""
						style="width: 136rpx;height: 80rpx;position: absolute;z-index: 0;right: 0;right: 32rpx;border-radius: 0rpx 24rpx 8rpx 0rpx;">
					</image>
				</view>
			</view>

			<view class="serList">
				<view class="item" @click="toPage(item)" v-for="(item,index) in serList">
					<view class="left">
						<!-- <image :src="item.icon" mode="heightFix" style="height: 31rpx;width: 36rpx;" ></image> -->
						<image :src="item.icon" :mode="item.name!='关于我们'?'heightFix':'widthFix'" style="width: 36rpx;"
							:style="{height:item.name=='关于我们'?'36rpx':'31rpx'}"></image>
						<text>{{item.name}}</text>
					</view>
					<view class="right">
						<text class="num" v-if="item.phone">{{item.phone}}</text>
						<image src="/static/my/arr_r.png" mode="" style="height: 24rpx;width: 14rpx;"></image>
					</view>
				</view>
			</view>
		</view>

		<u-action-sheet :actions="list" :title="title" :show="show" cancelText="取消" @close="show=false"
			@select="handleSel"></u-action-sheet>
	</view>
	<!-- <u-loading-page v-else :loading="loading" image="/static/index/logo.png" loading-text="页面加载中..."></u-loading-page> -->
</template>

<script>
	import uploadUrl from '@/common/config.js'

	import {
		wxAuthLoginReq,
		getUserInfoReq,
		updateUserInfoReq,
		addInviteReq
	} from '@/api/test/index.js'
	import moment from 'moment'
	export default {
		// components: {
		// 	navBar
		// },
		data() {
			return {
				picUrl: this.$picUrl,

				token: uni.getStorageSync('token'),

				role: null,

				// status==1
				// role: 'cydg',3
				// role: 'hy', 5
				// role: 'lhy',2
				// role: 'svip',type==1
				// role: 'hdyh',type==4
				// role: 'youke',type==0


				// status==0
				// role: 'yw',
				// role: 'sjkf',
				// role: 'shkf',
				// role: 'superAdmin',

				serList: [{
						icon: this.$picUrl + '/static/my/sc.png',
						name: '收藏',
						url: '/pages/my/collect/index'
					},
					{
						icon: this.$picUrl + '/static/my/qt.png',
						name: '小程序使用指南',
						url: '/pages/my/useLead/index'
					},
					// {
					// 	icon: this.$picUrl + '/static/other/aboutMe.png',
					// 	name: '关于我们',
					// 	url: '/pages/my/aboutMe/index',
					// },
					{
						icon: this.$picUrl + '/static/my/qt.png',
						name: '其他信息',
						url: '/pages/my/otherInfo/index'
					},
				],

				showPrivacy: true,

				avatarUrl: '',
				nickName: '',
				PhoneCode: '',
				imgUrl: '',
				isPhone: false,

				user_img: '', //微信头像
				user_name: '',

				show: false,
				list: [],
				userInfo: null,

				hours: 0,
				remainTime: 0,

				watchTimeObj: {
					days: 0,
					hours: 0,
					minutes: 0,
					seconds: 0,
					milliseconds: 0
				},
				loading: true
			}
		},
		async onShow() {
			// if (!uni.getStorageSync('switchs')) {
			uni.setStorageSync('switchs', [1, 0, 0])
			// }
			// if (!uni.getStorageSync('priceConfig')) {
			uni.request({
				url: uploadUrl.baseUrl + '/api/common/getPriceConfig',
				method: "GET",
				success: (res) => {
					if (res.data.code == 0) {
						console.log('my中获取的会员折扣数据', res.data.data)
						uni.setStorageSync('priceConfig', res.data.data)
					}
				}
			})
			// }

			if (uni.getStorageSync('token')) {
				let res = await getUserInfoReq()
				if (res.code == 0) {
					this.userInfo = res.data

					// this.userInfo = {
					// 	head: null,
					// 	name: null,
					// 	nickname: null,
					// 	birthday: null,
					// 	phone: null,
					// 	sex: null,
					// }
					console.log('用户信息', this.userInfo, new Date(this.userInfo.ls_expire_time), moment(this.userInfo
						.ls_expire_time).format("YYYY-MM-DD HH:mm:ss"), );

					let ms = this.userInfo.ls_expire_time - Date.now();
					if (ms > 0) {
						this.hours = (ms / 1000 / 60 / 60).toFixed(1)
						this.remainTime = ms
					}


					// this.role = 'yw'
					// this.checkRole()
					// return
					if (res.data.status) {
						switch (res.data.type) {
							case 0:
								this.role = 'yk'
								break
							case 1:
								this.role = 'svip'
								break
							case 2:
								this.role = 'lhy'
								uni.setStorageSync('switchs', [0, 1, 0])
								break
							case 3:
								this.role = 'cydg'
								break
							case 4:
								this.role = 'hdyh'
								break
							case 5:
								this.role = 'hy'
								uni.setStorageSync('switchs', [0, 1, 0])
								break
							case 6:
								this.role = 'gvip'
								break
						}
						console.log('当前用户角色', this.role);
					} else {
						switch (res.data.type) {
							case 0:
								this.role = 'nomal'
								break
							case 1:
								this.role = 'superAdmin'
								break
							case 2:
								this.role = 'sjkf'
								break
							case 3:
								this.role = 'shkf'
								break
							case 4:
								this.role = 'yw'
								break
						}
					}
					console.log('当前员工角色', this.role);
					this.checkRole()

					this.loading = false
				} else {
					uni.showToast({
						title: res.message,
						icon: 'none'
					})
				}
			}
		},
		async onLoad() {
			wx.onNeedPrivacyAuthorization((resolve, eventInfo) => {
				console.log('触发本次事件的接口是：' + eventInfo.referrer)
				// 需要用户同意隐私授权时
				// 弹出开发者自定义的隐私授权弹窗
				this.showPrivacy = true

				this.resolvePrivacyAuthorization = resolve
			})

			// wx.getUserProfile({
			// 	success: console.log,
			// 	fail: console.error
			// })
		},
		computed: {},
		watch: {
			watchTimeObj: {
				handler(n, o) {
					console.log('handler(n, o)', n, this.role);
					if (n.days == 0 && n.hours == 0 && n.minutes == 0 && n.seconds == 1) {
						setTimeout(() => {
							uni.reLaunch({
								url: '/pages/my'
							})
							console.log('L会员到期-----------------------------------------', n, this.role);
						}, 1000)
					}
				},
				deep: true
			}
		},
		methods: {
			cutDownChange(e) {
				this.watchTimeObj = {
					...e
				}
				console.log('e-------------', this.watchTimeObj);
			},
			call(phone) {
				uni.makePhoneCall({
					phoneNumber: phone,
				})
			},
			toPage(page) {
				console.log('page----------------', page);

				if (page == 'info' && !this.token) {
					return this.$toast('请先登录')
				}
				if (page.url == '/pages/my/collect/index' && !this.token) {
					return this.$toast('请先登录')
				}

				if (page == 'set') {
					uni.navigateTo({
						url: '/pages/my/set/index?role=' + this.role
					})
				} else if (page == 'info') {
					uni.navigateTo({
						url: '/pages/my/userInfo/index'
					})
				} else if (page.phone) {
					this.call(page.phone)
				} else {
					uni.navigateTo({
						url: page.url
					})
				}
			},
			login() {
				let _this = this
				uni.showLoading({
					title: '登录中...'
				})
				uni.login({
					provider: 'weixin',
					success: async (res) => {
						if (res.errMsg == 'login:ok') {

							let parmas = {
								code: res.code,
							}

							if (uni.getStorageSync('inviteId')) {
								parmas['inviteId'] = uni.getStorageSync('inviteId')
							}
							if (uni.getStorageSync('afterSaleId')) {
								parmas['afterSaleId'] = uni.getStorageSync('afterSaleId')
							}
							console.log('登录所传的parmas参数:', parmas);

							let res1 = await wxAuthLoginReq(parmas)

							console.log('登录返回值--------', res1);
							if (res1.code == 0) {
								uni.hideLoading()
								uni.setStorageSync('token', res1.data.token)
								_this.$toast('登录成功')
								uni.removeStorageSync('inviteId')
								uni.removeStorageSync('afterSaleId')
								setTimeout(() => {
									uni.reLaunch({
										url: '/pages/my'
									})
								}, 1500)
							} else {
								uni.hideLoading()
								uni.showToast({
									title: res1.msg,
									icon: 'none'
								})
							}
						}
					}
				});
			},

			handleSel(e) {
				console.log('sheet选择参数：', e);
				let type = -1
				if (e.name == '邀约VIP') {
					type = 'vip'
				} else if (e.name == '邀约L会员') {
					type = 'ls'
				} else if (e.name == '邀约会员') {
					type = 'hy'
				} else if (e.name == '邀约活动用户') {
					type = 'yh'
				} else if (e.name == '邀约电工') {
					type = 'dg'
				}
				uni.navigateTo({
					url: '/pages/my/inviteDetail/index?type=' + type
				})
			},
			checkRole() {
				if (this.role == 'yk') {
					this.serList = [{
							icon: this.picUrl + '/static/my/sc.png',
							name: '收藏',
							url: '/pages/my/collect/index'
						},
						{
							icon: this.picUrl + '/static/my/qt.png',
							name: '小程序使用指南',
							url: '/pages/my/useLead/index'
						},
						// {
						// 	icon: this.picUrl + '/static/other/aboutMe.png',
						// 	name: '关于我们',
						// 	url: '/pages/my/aboutMe/index'
						// },
						{
							icon: this.$picUrl + '/static/my/qt.png',
							name: '其他信息',
							url: '/pages/my/otherInfo/index'
						},
					]
					if (this.userInfo.role == 1) {
						this.serList.push({
							icon: this.picUrl + '/static/my/tg.png',
							name: '活动商品',
							url: '/pages/my/actGoods/index'
						})
					} else if (this.userInfo.role == 2) {
						this.serList.push({
							icon: this.picUrl + '/static/my/sh.png',
							name: '售后',
							url: '/pages/my/sellAfter/index'
						})
					}
				} else if (this.role == 'svip') {
					this.serList = [{
							icon: this.picUrl + '/static/my/set.png',
							name: '设置',
							url: '/pages/my/set/index?role=' + this.role
						}, {
							icon: this.picUrl + '/static/my/sc.png',
							name: '收藏',
							url: '/pages/my/collect/index'
						}, {
							icon: this.picUrl + '/static/my/yjlx.png',
							name: '一键联系',
							phone: this.userInfo.invitePhone
						}, {
							icon: this.picUrl + '/static/my/qt.png',
							name: '小程序使用指南',
							url: '/pages/my/useLead/index'
						},
						// {
						// 	icon: this.picUrl + '/static/other/aboutMe.png',
						// 	name: '关于我们',
						// 	url: '/pages/my/aboutMe/index'
						// },
						{
							icon: this.$picUrl + '/static/my/qt.png',
							name: '其他信息',
							url: '/pages/my/otherInfo/index'
						},
					]

					if (this.userInfo.role == 1) {
						this.serList.push({
							icon: this.picUrl + '/static/my/tg.png',
							name: '活动商品',
							url: '/pages/my/actGoods/index'
						})
					} else if (this.userInfo.role == 2) {
						this.serList.push({
							icon: this.picUrl + '/static/my/sh.png',
							name: '售后',
							url: '/pages/my/sellAfter/index'
						})
					}
				} else if (this.role == 'gvip') {
					this.serList = [{
							icon: this.picUrl + '/static/my/set.png',
							name: '设置',
							url: '/pages/my/set/index?role=' + this.role
						}, {
							icon: this.picUrl + '/static/my/sc.png',
							name: '收藏',
							url: '/pages/my/collect/index'
						}, {
							icon: this.picUrl + '/static/my/yjlx.png',
							name: '一键联系',
							phone: this.userInfo.invitePhone
						}, {
							icon: this.picUrl + '/static/my/qt.png',
							name: '小程序使用指南',
							url: '/pages/my/useLead/index'
						},
						// {
						// 	icon: this.picUrl + '/static/other/aboutMe.png',
						// 	name: '关于我们',
						// 	url: '/pages/my/aboutMe/index'
						// },
						{
							icon: this.$picUrl + '/static/my/qt.png',
							name: '其他信息',
							url: '/pages/my/otherInfo/index'
						},
					]
					if (this.userInfo.role == 1) {
						this.serList.push({
							icon: this.picUrl + '/static/my/tg.png',
							name: '活动商品',
							url: '/pages/my/actGoods/index'
						})
					} else if (this.userInfo.role == 2) {
						this.serList.push({
							icon: this.picUrl + '/static/my/sh.png',
							name: '售后',
							url: '/pages/my/sellAfter/index'
						})
					}
				} else if (this.role == 'lhy') {
					this.serList = [{
							icon: this.picUrl + '/static/my/sc.png',
							name: '收藏',
							url: '/pages/my/collect/index'
						},
						{
							icon: this.picUrl + '/static/my/yjlx.png',
							name: '一键联系',
							phone: this.userInfo.invitePhone
						},
						{
							icon: this.picUrl + '/static/my/qt.png',
							name: '小程序使用指南',
							url: '/pages/my/useLead/index'
						},
						// {
						// 	icon: this.picUrl + '/static/other/aboutMe.png',
						// 	name: '关于我们',
						// 	url: '/pages/my/aboutMe/index'
						// },
						{
							icon: this.$picUrl + '/static/my/qt.png',
							name: '其他信息',
							url: '/pages/my/otherInfo/index'
						},
					]
					if (this.userInfo.role == 1) {
						this.serList.push({
							icon: this.picUrl + '/static/my/tg.png',
							name: '活动商品',
							url: '/pages/my/actGoods/index'
						})
					} else if (this.userInfo.role == 2) {
						this.serList.push({
							icon: this.picUrl + '/static/my/sh.png',
							name: '售后',
							url: '/pages/my/sellAfter/index'
						})
					}
				} else if (this.role == 'hy') {
					this.serList = [{
							icon: this.picUrl + '/static/my/sc.png',
							name: '收藏',
							url: '/pages/my/collect/index'
						},
						{
							icon: this.picUrl + '/static/my/yjlx.png',
							name: '一键联系',
							phone: this.userInfo.invitePhone
						},
						{
							icon: this.picUrl + '/static/my/qt.png',
							name: '小程序使用指南',
							url: '/pages/my/useLead/index'
						},
						// {
						// 	icon: this.picUrl + '/static/other/aboutMe.png',
						// 	name: '关于我们',
						// 	url: '/pages/my/aboutMe/index'
						// },
						{
							icon: this.$picUrl + '/static/my/qt.png',
							name: '其他信息',
							url: '/pages/my/otherInfo/index'
						},
					]
					if (this.userInfo.role == 1) {
						this.serList.push({
							icon: this.picUrl + '/static/my/tg.png',
							name: '活动商品',
							url: '/pages/my/actGoods/index'
						})
					} else if (this.userInfo.role == 2) {
						this.serList.push({
							icon: this.picUrl + '/static/my/sh.png',
							name: '售后',
							url: '/pages/my/sellAfter/index'
						})
					}
				} else if (this.role == 'cydg') {
					this.serList = [{
							icon: this.picUrl + '/static/my/set.png',
							name: '设置',
							url: '/pages/my/set/index?role=' + this.role
						},
						{
							icon: this.picUrl + '/static/my/sc.png',
							name: '收藏',
							url: '/pages/my/collect/index'
						},
						{
							icon: this.picUrl + '/static/my/yjlx.png',
							name: '一键联系',
							phone: this.userInfo.invitePhone
						},
						{
							icon: this.picUrl + '/static/my/qt.png',
							name: '小程序使用指南',
							url: '/pages/my/useLead/index'
						},
						{
							icon: this.picUrl + '/static/my/qt.png',
							name: '兑奖记录',
							url: '/pages/my/duijiang/index?from=1'
						},
						// {
						// 	icon: this.picUrl + '/static/my/qt.png',
						// 	name: '兑奖记录',
						// 	url: '/pages/my/recordCydg/index'
						// },
						// {
						// 	icon: this.picUrl + '/static/other/aboutMe.png',
						// 	name: '关于我们',
						// 	url: '/pages/my/aboutMe/index'
						// },
						{
							icon: this.$picUrl + '/static/my/qt.png',
							name: '其他信息',
							url: '/pages/my/otherInfo/index'
						},
					]
					if (this.userInfo.role == 1) {
						this.serList.push({
							icon: this.picUrl + '/static/my/tg.png',
							name: '活动商品',
							url: '/pages/my/actGoods/index'
						})
					} else if (this.userInfo.role == 2) {
						this.serList.push({
							icon: this.picUrl + '/static/my/sh.png',
							name: '售后',
							url: '/pages/my/sellAfter/index'
						})
					}
					// 活动用户附加于其他用户角色之上，不是一种角色，而是一种查看功能
				} else if (this.role == 'hdyh') {
					if (this.userInfo.role == 1) {
						this.serList.push({
							icon: this.picUrl + '/static/my/tg.png',
							name: '活动商品',
							url: '/pages/my/actGoods/index'
						})
					} else if (this.userInfo.role == 2) {
						this.serList.push({
							icon: this.picUrl + '/static/my/sh.png',
							name: '售后',
							url: '/pages/my/sellAfter/index'
						})
					}
					return
					this.serList = [
						// {
						// 	icon: this.picUrl + '/static/my/set.png',
						// 	name: '设置',
						// 	url: '/pages/my/set/index?role=' + this.role
						// }, {
						// 	icon: this.picUrl + '/static/my/sc.png',
						// 	name: '收藏',
						// 	url: '/pages/my/collect/index'
						// }, {
						// 	icon: this.picUrl + '/static/my/yjlx.png',
						// 	name: '一键联系',
						// 	phone: '12983098478'
						// }, {
						// 	icon: this.picUrl + '/static/my/jiang.png',
						// 	name: '兑奖信息',
						// 	url: '/pages/my/duijiang/index'
						// }, {
						// 	icon: this.picUrl + '/static/my/qt.png',
						// 	name: '小程序使用指南',
						// 	url: '/pages/my/useLead/index'
						// }, 
					]
				} else if (this.role == 'superAdmin') {
					this.serList = [{
							icon: this.picUrl + '/static/my/set.png',
							name: '设置',
							url: '/pages/my/set/index?role=' + this.role
						},
						{
							icon: this.picUrl + '/static/my/sh.png',
							name: '售后',
							url: '/pages/my/sellAfter/index'
						},
						{
							icon: this.picUrl + '/static/my/jiang.png',
							name: '兑奖信息',
							url: '/pages/my/duijiang/index'
						},
						{
							icon: this.picUrl + '/static/my/tg.png',
							name: '活动商品',
							url: '/pages/my/actGoods/index'
						},
						{
							icon: this.picUrl + '/static/my/sc.png',
							name: '收藏',
							url: '/pages/my/collect/index'
						},

						{
							icon: this.picUrl + '/static/my/qt.png',
							name: '新增兑奖记录',
							url: '/pages/my/inviteSellAfter/index'
						},
						{
							icon: this.picUrl + '/static/my/qt.png',
							name: '其他信息',
							url: '/pages/my/otherInfo/index'
						},
					]

					this.list = [{
							name: '邀约VIP'
						},
						{
							name: '邀约L会员'
						},
						{
							name: '邀约会员'
						},
						{
							name: '邀约电工'
						},
						{
							name: '邀约活动用户'
						}
					]
				} else if (this.role == 'sjkf' || this.role == 'yw') {
					if (this.role == 'sjkf') {
						this.serList = [{
								icon: this.picUrl + '/static/my/set.png',
								name: '设置',
								url: '/pages/my/set/index?role=' + this.role
							},
							{
								icon: this.picUrl + '/static/my/sh.png',
								name: '售后',
								url: '/pages/my/sellAfter/index'
							},
							{
								icon: this.picUrl + '/static/my/tg.png',
								name: '活动商品',
								url: '/pages/my/actGoods/index'
							},
							{
								icon: this.picUrl + '/static/my/sc.png',
								name: '收藏',
								url: '/pages/my/collect/index'
							},
							{
								icon: this.picUrl + '/static/my/qt.png',
								name: '其他信息',
								url: '/pages/my/otherInfo/index'
							},
						]
					} else {
						this.serList = [{
								icon: this.picUrl + '/static/my/set.png',
								name: '设置',
								url: '/pages/my/set/index?role=' + this.role
							},
							{
								icon: this.picUrl + '/static/my/sh.png',
								name: '售后',
								url: '/pages/my/sellAfter/index'
							}, {
								icon: this.picUrl + '/static/my/tg.png',
								name: '活动商品',
								url: '/pages/my/actGoods/index'
							}, {
								icon: this.picUrl + '/static/my/sc.png',
								name: '收藏',
								url: '/pages/my/collect/index'
							},
							{
								icon: this.picUrl + '/static/my/qt.png',
								name: '其他信息',
								url: '/pages/my/otherInfo/index'
							},
						]
					}
					this.list = [{
							name: '邀约VIP'
						},
						{
							name: '邀约L会员'
						},
						{
							name: '邀约活动用户'
						}
					]

				} else if (this.role == 'shkf') {
					this.serList = [{
							icon: this.picUrl + '/static/my/set.png',
							name: '设置',
							url: '/pages/my/set/index?role=' + this.role
						},
						{
							icon: this.picUrl + '/static/my/sh.png',
							name: '售后',
							url: '/pages/my/sellAfter/index'
						}, {
							icon: this.picUrl + '/static/my/tg.png',
							name: '活动商品',
							url: '/pages/my/actGoods/index'
						}, {
							icon: this.picUrl + '/static/my/sc.png',
							name: '收藏',
							url: '/pages/my/collect/index'
						},
						{
							icon: this.picUrl + '/static/my/qt.png',
							name: '其他信息',
							url: '/pages/my/otherInfo/index'
						},
					]

					this.list = [{
							name: '邀约VIP'
						},
						{
							name: '邀约L会员'
						},
						{
							name: '邀约会员'
						},
						{
							name: '邀约活动用户'
						}
					]
				} else if (this.role == 'nomal') {
					return
					this.serList = []
				}
			}
		}
	}
</script>

<style lang="scss" scoped>
	@import "./my.scss";

	::v-deep .u-loading-page {
		position: relative !important;
		z-index: 999999999 !important;
		// background: red;
	}

	::v-deep .u-loading-page__warpper__loading-icon__img {
		width: 150rpx !important;
		height: 150rpx !important;
	}
</style>